Axiomatic
Platform

Billing

Prepaid credit purchase (Stripe Checkout), tenant balance and usage history, and Stripe Customer Portal

POST
/api/billing/checkout

Authorization

bearerAuth
AuthorizationBearer <token>

Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/billing/checkout" \  -H "Content-Type: application/json" \  -d '{    "priceId": "string"  }'
{
  "url": "http://example.com"
}
{
  "error": "string"
}
GET
/api/billing/subscription

Authorization

bearerAuth
AuthorizationBearer <token>

Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....

In: header

Response Body

application/json

application/json

curl -X GET "https://example.com/api/billing/subscription"
{}
{
  "error": "string"
}
POST
/api/billing/portal

Authorization

bearerAuth
AuthorizationBearer <token>

Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....

In: header

Response Body

application/json

application/json

curl -X POST "https://example.com/api/billing/portal"
{
  "url": "http://example.com"
}
{
  "error": "string"
}